Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.codecs.simpletext
Class SimpleTextNormsFormat.SimpleTextNormsConsumer

    java.lang.Object
      org.apache.lucene.codecs.DocValuesConsumer
          org.apache.lucene.codecs.simpletext.SimpleTextNormsFormat.SimpleTextNormsConsumer

All Implemented Interfaces:
  Closeable

Enclosing class:
  SimpleTextNormsFormat

    public static class SimpleTextNormsFormat.SimpleTextNormsConsumer

extends DocValuesConsumer

Writes plain-text norms.

FOR RECREATIONAL USE ONLY

WARNING: This API is experimental and might change in incompatible ways in the next release.

Constructor Summary
`SimpleTextNormsFormat.SimpleTextNormsConsumer(SegmentWriteState state)`

Method Summary
`void` | `addBinaryField(FieldInfo field, Iterable<BytesRef> values)`
`void` | `addNumericField(FieldInfo field, Iterable<Number> values)`
`void` | `addSortedField(FieldInfo field, Iterable<BytesRef> values, Iterable<Number> docToOrd)`
`void` | `addSortedSetField(FieldInfo field, Iterable<BytesRef> values, Iterable<Number> docToOrdCount, Iterable<Number> ords)`
`void` | `close()`

Methods inherited from class org.apache.lucene.codecs.DocValuesConsumer
`mergeBinaryField, mergeNumericField, mergeSortedField, mergeSortedSetField`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleTextNormsFormat.SimpleTextNormsConsumer

    public SimpleTextNormsFormat.SimpleTextNormsConsumer(SegmentWriteState state)
                                                  throws IOException

Throws:
  `IOException`

Method Detail

### addNumericField

    public void addNumericField(FieldInfo field,
                                Iterable<Number> values)
                         throws IOException

  Specified by:
    `addNumericField` in class `DocValuesConsumer`
  Throws:
    `IOException`

### addBinaryField

    public void addBinaryField(FieldInfo field,
                               Iterable<BytesRef> values)
                        throws IOException

  Specified by:
    `addBinaryField` in class `DocValuesConsumer`
  Throws:
    `IOException`

### addSortedField

    public void addSortedField(FieldInfo field,
                               Iterable<BytesRef> values,
                               Iterable<Number> docToOrd)
                        throws IOException

  Specified by:
    `addSortedField` in class `DocValuesConsumer`
  Throws:
    `IOException`

### addSortedSetField

    public void addSortedSetField(FieldInfo field,
                                  Iterable<BytesRef> values,
                                  Iterable<Number> docToOrdCount,
                                  Iterable<Number> ords)
                           throws IOException

  Specified by:
    `addSortedSetField` in class `DocValuesConsumer`
  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.